KMEM_CACHE_ALLOC(9)

NAME
kmem_cache_alloc - Allocate an object

SYNOPSIS

void * kmem_cache_alloc (struct kmem_cache * cachep, gfp_t flags);

ARGUMENTS

cachep
    The cache to allocate from.

flags
    See kmalloc.

DESCRIPTION

Allocate an object from this cache. The flags are only relevant if the cache has no available objects.